DROP LANGUAGE(7)

NAME
DROP LANGUAGE - remove a user-defined procedural language

SYNOPSIS

DROP [ PROCEDURAL ] LANGUAGE name

  INPUTS

name
    The name of an existing procedural language. For backward compatibility, the name may be enclosed by single quotes.

  OUTPUTS

DROP
    This message is returned if the language is successfully dropped.

ERROR: Language "name" doesn't exist
    This message occurs if a language called name is not found in the database.

DESCRIPTION

DROP PROCEDURAL LANGUAGE will remove the definition of the previously registered procedural language called name.

  NOTES

The DROP PROCEDURAL LANGUAGE statement is a PostgreSQL language extension.

Refer to CREATE LANGUAGE [create_language(7)] for information on how to create procedural languages.

No checks are made if functions or trigger procedures registered in this language still exist. To re-enable them without having to drop and recreate all the functions, the pg_proc's prolang attribute of the functions must be adjusted to the new object ID of the recreated pg_language entry for the PL.

USAGE

This command removes the PL/Sample language:

DROP LANGUAGE plsample;

COMPATIBILITY

  SQL92

There is no DROP PROCEDURAL LANGUAGE in SQL92.